Page MenuHomePhabricator

API blocks query module causes PHP undefined property notice if bkprop parameter does not include 'timestamp'
Closed, ResolvedPublicPRODUCTION ERROR

Description

It includes timestamp by default, but if you set it manually without 'timestamp'...
https://en.wikipedia.org/w/api.php?action=query&list=blocks&bkprop=user

Feb 18 21:27:29 mw1208:  #012Notice: Undefined property: stdClass::$ipb_timestamp in /srv/mediawiki/php-1.25wmf16/includes/api/ApiQueryBlocks.php on line 188

Event Timeline

Krenair created this task.Feb 18 2015, 9:29 PM
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2015, 9:29 PM

Change 191485 had a related patch set uploaded (by Anomie):
API: Unconditionally load ipb_timestamp in ApiQueryBlocks

https://gerrit.wikimedia.org/r/191485

Patch-For-Review

Anomie claimed this task.Feb 18 2015, 9:55 PM
Anomie added a project: MediaWiki-Core-Team.
Anomie set Security to None.
Anomie moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Note it only happens when continuation is needed, and in that case the continuation value is broken too.

Change 191485 merged by jenkins-bot:
API: Unconditionally load ipb_timestamp in ApiQueryBlocks

https://gerrit.wikimedia.org/r/191485

Anomie closed this task as Resolved.Feb 19 2015, 12:56 AM
Anomie moved this task from Needs Review/Feedback to Done on the MediaWiki-Core-Team board.
Anomie moved this task from Unsorted to Done on the MediaWiki-API board.Feb 20 2015, 8:23 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Feb 23 2015, 11:58 PM
demon triaged this task as Medium priority.Jul 9 2015, 4:40 PM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM